воскресенье, 16 декабря 2007 г.

Trolltech обновила интегратор для Eclipse до версии 1.0.1.
Эта версия собрана с Qt 4.3.3, выложена справка в формате Eclipse, для доступа к ней прямо из среды разработки.
Для программирования на Qt, замечательная связка.
Порядок установки такой:
1. Компилятор - скачиваем, устанавливаем.
2. Qt - скачивем, устанавливаем.
3. Eclipse - скачиваем, распаковываем.
4. Интегратор - скачиваем устанавливаем.
5. Запускаем, пользуемся.

Warning:
Так как сам Eclipse - Java приложение, для его работы должна быть установлена JRE от Sun
На Kubuntu надо провести следующие манипуляции для её установки:
sudo aptitude install java-package fakeroot
fakeroot make-jpkg jre-6u3-linux-i586.bin
sudo dpkg -i sunj2re.1.6_1.6.0+update3_i386.deb


И если вы используетет gtk-qt-engine, в центре управления выберите тему отличную, от текущей в кде.
Qtaxi - простая программа автоматизации такси, лицензия GPL.
Написано всё на Qt4\C++, как следствие работает на Linux, OS X, Windows.
Содержит 6093 строки чистого кода.
Qt 4.3.1 - минимум, настоятельно рекомендуются, в меньших версиях существуют проблемы с неправильным отображением дат в русской локали в QTableView.
Нашёл время дописать пользовательскую документацию к программе.
Для людей занимающихся программированием - это практически непосильный труд.
Выложены исходники с документацией и инсталятор под Windows.
Кто хочет сделать пакет для Linux, welcome.
Так как у самого нет опыта и мало свободного времени.
Скачать можно тут.